<?php 
/*
'**************************************************************************************************
' 软件名称: 盘锦DJ舞曲网CMS Content Management PjRen.Net
' 版本编号: Version 2.5
' 盘锦舞曲: http://www.pj57.com
' 官方网站: http://www.pjren.net
' 小说网站: http://www.hx39.com
' 0427DJ网: http://www.0427dj.net
' 官方论坛: http://www.tianjiazhen.com
' 版权所有: 盘锦舞曲开发团队    盘锦人(QQ:814006710)
' 郑重声明:
'    1、任何个人或组织不得在未经授权的情况下删除、修改、拷贝本软件及其他副本上一切关于版权的信息；
'    2、盘锦网络事业部保留此软件的法律追究权利
'**************************************************************************************************
*/

  $filename=$_GET['sname'];	
  if(file_exists("rule/".$filename.".txt")){
  	$file=stripslashes(@file_get_contents("rule/".$filename.".txt"));   
  	}else{
	$file="规则文件不存在@";	
	}
  
  $dest=$filename.".txt";    
  down_file($file,$dest);   
  function   down_file($content,$dest){   
  header("Pragma:   public");   
  header("Expires:   0");   
  header("Cache-Control:   must-revalidate,   post-check=0,   pre-check=0");   
  header("Content-Type:   application/octet-stream");   
  header("Content-Disposition:   attachment;   filename=$dest"   );   
  header("Content-Transfer-Encoding:   binary");   
  //header("Content-Length:   ".filesize($file));   
  echo   $content;   
  }   
    
  ?>